3 Replies Latest reply on Sep 24, 2009 1:14 AM by ii00907

    vMA4 vima-update error

    ii00907 Enthusiast

       

      Hi,

       

       

      i have a problem when i run the sudo vima-update scan.

       

       

      I have this Mess.:

       

       

      Encountered error TypeError:

      •   This is an unexpected error.  Please report it as a bug.*

      •   Error Message - iterable argument required*

       

       

      I have config my   /etc/vmware/esxupdate/vimaupdate.conf so :

       

       

      -


       

       

      product = vima

      version = 4.0.0

      build = 161992

       

       

      size = 5192000

      file = /var/log/vmware/esxupdate.log

      level = DEBUG

       

       

      1. URL for vima update depot

      2. Modify this option to allow local depots

      #

      depot = http://www.vmware.com/go/vma4/update/

       

       

      1. Proxy settings

      2. Uncomment these options if a proxy is required to access the

      3. URL specified in vima.depot

       

       

      proxy = 10.111.22.333

       

       

      proxyport = 1234

       

       

      -


       

       

      Help Please?

       

       

      This patch resolv the problem with vdiskcreate.pl?

       

       

        • 1. Re: vMA4 vima-update error
          lamw Guru
          VMware EmployeesCommunity Warriors

          Works for me, make sure you have connectivity to VMware's depot and you haven't modified the vimaupdate configuration file and you are in fact running vMA 4.0 and not VIMA 1.0. Also note, the patch is a security fix, it does not state anywhere about fixing any scripts/code.

           

          [vi-admin@vMa-resize ~]$ sudo vima-update scan
          Password:
          vmw-VIMA-4.0.0-metadata.zip                              ############################################################################### [100%]
          
          Applicable bulletins with updates are listed.
          ---Bulletin ID--- ---Date--- ------------Summary-------------
          VIMA400-200906001 2009-07-13 Security Patch for Red Hat RPMs.
          

           

           

          Here is what my vimaupdate.conf file looks like:

          [vi-admin@vMa-resize ~]$ cat /etc/vmware/esxupdate/vimaupdate.conf
          [platform]
          product = vima
          version = 4.0.0
          build = 161992
          
          [log]
          size = 5192000
          file = /var/log/vmware/esxupdate.log
          level = DEBUG
          
          [vima]
          # URL for vima update depot
          # Modify this option to allow local depots
          #
          depot = http://www.vmware.com/go/vma4/update/
          
          # Proxy settings
          # Uncomment these options if a proxy is required to access the
          # URL specified in vima.depot
          
          #proxy = http://proxy.example.com
          #proxyport = 12345
          

           

           

          Here is the patching process:

           

          [vi-admin@vMa-resize ~]$ sudo vima-update -b VIMA400-200906001 update
          krb5-libs-1.6.1-31.el5_3.3.x86_64.vib                    ############################################################################### [100%]
          
          Unpacking rpm_krb5-libs_1.6.1-31.el5_3.3@x86_64.vib      ############################################################################### [100%]
          
          pam-krb5-2.2.14-10.x86_64.vib                            ############################################################################### [100%]
          
          Unpacking rpm_pam_krb5_2.2.14-10@x86_64.vib              ############################################################################### [100%]
          
          krb5-libs-1.6.1-31.el5_3.3.i386.vib                      ############################################################################### [100%]
          
          Unpacking rpm_krb5-libs_1.6.1-31.el5_3.3@i386.vib        ############################################################################### [100%]
          
          sudo-1.6.9p17-3.el5_3.1.x86_64.vib                       ############################################################################### [100%]
          
          Unpacking rpm_sudo_1.6.9p17-3.el5_3.1@x86_64.vib         ############################################################################### [100%]
          
          krb5-workstation-1.6.1-31.el5_3.3.x86_64.vib             ############################################################################### [100%]
          
          Unpacking rpm_krb5-workstation_1.6.1-31.el5_3.3@x86_64.. ############################################################################### [100%]
          
          curl-7.15.5-2.1.el5_3.4.i386.vib                         ############################################################################### [100%]
          
          Unpacking rpm_curl_7.15.5-2.1.el5_3.4@i386.vib           ############################################################################### [100%]
          
          curl-7.15.5-2.1.el5_3.4.x86_64.vib                       ############################################################################### [100%]
          
          Unpacking rpm_curl_7.15.5-2.1.el5_3.4@x86_64.vib         ############################################################################### [100%]
          
          udev-095-14.20.el5_3.x86_64.vib                          ############################################################################### [100%]
          
          Unpacking rpm_udev_095-14.20.el5_3@x86_64.vib            ############################################################################### [100%]
          
          pam-krb5-2.2.14-10.i386.vib                              ############################################################################### [100%]
          
          Unpacking rpm_pam_krb5_2.2.14-10@i386.vib                ############################################################################### [100%]
          
          Installing krb5-libs                                     ############################################################################### [100%]
          
          Installing pam_krb5                                      ############################################################################### [100%]
          
          Installing krb5-libs                                     ############################################################################### [100%]
          
          Installing sudo                                          ############################################################################### [100%]
          
          Installing krb5-workstation                              ############################################################################### [100%]
          
          Installing curl                                          ############################################################################### [100%]
          
          Installing curl                                          ############################################################################### [100%]
          
          Installing udev                                          ############################################################################### [100%]
          
          Installing pam_krb5                                      ############################################################################### [100%]
          
          Cleaning up krb5-libs                                    ############################################################################### [100%]
          
          Cleaning up pam_krb5                                     ############################################################################### [100%]
          
          Cleaning up krb5-libs                                    ############################################################################### [100%]
          
          Cleaning up sudo                                         ############################################################################### [100%]
          
          Cleaning up krb5-workstation                             ############################################################################### [100%]
          
          Cleaning up curl                                         ############################################################################### [100%]
          
          Cleaning up curl                                         ############################################################################### [100%]
          
          Cleaning up udev                                         ############################################################################### [100%]
          
          Cleaning up pam_krb5                                     ############################################################################### [100%]
          

           

           

           

          =========================================================================

          William Lam

          VMware vExpert 2009

          VMware ESX/ESXi scripts and resources at: http://engineering.ucsb.edu/~duonglt/vmware/

          vGhetto Script Repository

          VMware Code Central - Scripts/Sample code for Developers and Administrators

          VMware Developer Comuunity

          Twitter: @lamw

           

          http://engineering.ucsb.edu/~duonglt/vmware/vexpert_silver_icon.jpg

           

          If you find this information useful, please award points for "correct" or "helpful".

          • 2. Re: vMA4 vima-update error
            navadavuluri Enthusiast

            I second William, this is what I get when I hit

             

             

             

             

            --vi-admin@nava ~--$ sudo vima-update scan
            Password:
            vmw-VIMA-4.0.0-metadata.zip                                    ####################################################################################### [100%]
            
            Applicable bulletins with updates are listed.
            ---Bulletin ID--- ---Date--- ------------Summary-------------
            VIMA400-200906001 2009-07-13 Security Patch for Red Hat RPMs.
            --vi-admin@nava ~--$
            
            

             

            Thanks,

            Nava

            • 3. Re: vMA4 vima-update error
              ii00907 Enthusiast

               

              Very thanks Lamw,

               

               

              My problem was related to the lack of http:// when you put the proxy.

               

               

              Thanks,

               

               

              ii00907